Bug 1012561 (CVE-2013-4370) - CVE-2013-4370 xen: misplaced free in ocaml xc_vcpu_getaffinity stub (XSA-69)
Summary: CVE-2013-4370 xen: misplaced free in ocaml xc_vcpu_getaffinity stub (XSA-69)
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-4370
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1017843
Blocks: 1012558
TreeView+ depends on / blocked
 
Reported: 2013-09-26 16:08 UTC by Vincent Danen
Modified: 2019-09-29 13:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-26 16:11:42 UTC


Attachments (Terms of Use)

Description Vincent Danen 2013-09-26 16:08:42 UTC
The ocaml binding for the xc_vcpu_getaffinity function incorrectly
frees a pointer before using it and subsequently freeing it again
afterwards. The code therefore contains a use-after-free and
double-free flaws.

An attacker may be able to cause a multithreaded toolstack written in
ocaml and using this function to race against itself leading to heap
corruption and a potential DoS.

Depending on the malloc implementation code execution cannot be ruled
out.


Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.

Comment 1 Vincent Danen 2013-09-26 16:11:42 UTC
Statement:

Not vulnerable.

This issue does not affect the versions of the xen package as shipped with Red Hat Enterprise Linux 5 as it does not provide support for the ocaml toolstack.

This issue does not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.

Comment 2 Vincent Danen 2013-10-10 15:52:58 UTC
External References:

http://xenbits.xen.org/xsa/advisory-69.html

Comment 3 Vincent Danen 2013-10-10 15:54:33 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1017843]


Note You need to log in before you can comment on or make changes to this bug.